Extending Qt Creator Manual | BuildConfigurationModel

Extending Qt Creator Manual 4.4.0

# BuildConfigurationModel Class

(ProjectExplorer::BuildConfigurationModel)

The BuildConfigurationModel class is a model to represent the build configurations of a target. More...

Header: | #include <BuildConfigurationModel>

- List of all members, including inherited members

## Public Functions

| BuildConfigurationModel(Target *target, QObject *parent = nullptr)
BuildConfiguration * | buildConfigurationAt(int i)
BuildConfiguration * | buildConfigurationFor(const QModelIndex &idx)
int | columnCount(const QModelIndex &parent = QModelIndex()) const override
QVariant | data(const QModelIndex &index, int role = Qt::DisplayRole) const override
QModelIndex | indexFor(BuildConfiguration *rc)
int | rowCount(const QModelIndex &parent = QModelIndex()) const override

## Detailed Description

The BuildConfigurationModel class is a model to represent the build configurations of a target.

To be used in the dropdown lists of comboboxes. Automatically adjusts itself to added and removed BuildConfigurations. Very similar to the Run Configuration Model.

TODO might it possible to share code without making the code a complete mess.

## Member Function Documentation

### BuildConfigurationModel::BuildConfigurationModel(Target *target, QObject *parent = nullptr)

Default constructs an instance of BuildConfigurationModel.

### BuildConfiguration *BuildConfigurationModel::buildConfigurationAt(int i)

### BuildConfiguration *BuildConfigurationModel::buildConfigurationFor(const QModelIndex &idx)

### int BuildConfigurationModel::columnCount(const QModelIndex &parent = QModelIndex()) const

### QVariant BuildConfigurationModel::data(const QModelIndex &index, int role = Qt::DisplayRole) const

### QModelIndex BuildConfigurationModel::indexFor(BuildConfiguration *rc)

### int BuildConfigurationModel::rowCount(const QModelIndex &parent = QModelIndex()) const